CURLOPT_COOKIEFILE(3)

NAME
CURLOPT_COOKIEFILE - file name to read cookies from

SYNOPSIS
#include <curl/curl.h> CURLcode curl_easy_setopt(CURL *handle, CURLOPT_COOKIEFILE, char *filename);

DESCRIPTION
Pass a pointer to a zero terminated string as parameter. It should point to the file name of your file holding cookie data to read. The cookie data can be in either the old Netscape / Mozilla cookie data format or just regular HTTP-style headers dumped to a file. It also enables the cookie engine, making libcurl parse and send cookies on subsequent requests with this handle. Given an empty or non-existing file or by passing the empty string ("") to this option, you can enable the cookie engine without reading any initial cookies. This option only reads cookies. To make libcurl write cookies to file, see CURLOPT_COOKIEJAR(3). If you use this option multiple times, you just add more files to read. Subsequent files will add more cookies.

DEFAULT
NULL

PROTOCOLS
HTTP

EXAMPLE
TODO

AVAILABILITY
As long as HTTP is supported

RETURN VALUE
Returns CURLE_OK if HTTP is supported, and CURLE_UNKNOWN_OPTION if not.

SEE ALSO
CURLOPT_COOKIE(3), CURLOPT_COOKIEJAR(3),